Bug 150172 - Startup failure after database problem
Summary: Startup failure after database problem
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jan Safranek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-03 09:46 UTC by Alfred Glanzer
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: openldap-servers-2.3.30-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-23 12:02:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alfred Glanzer 2005-03-03 09:46:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.3)
Gecko/20040910

Description of problem:
OpenLDAP 2.2.23 has difficulties in starting-up when __db.00* and
log.00000000001 are initially not present (in
/var/lib/ldap/directory). They are recreated by the startup-procees,
but ownership is wrong (they are owned by root and not by ldap).
OpenLDAP will not start if these files are not owned by ldap !!

Version-Release number of selected component (if applicable):
OpenLDAP 2.2.23

How reproducible:
Always

Steps to Reproduce:
1. delete __db.00* in /var/lib/ldap/directory
2. delete log.00000000001 in /var/lib/ldap/directory
3. startup
    

Additional info:

Comment 1 W. Michael Petullo 2005-11-06 02:43:28 UTC
This problem is made larger by the fact that /etc/init.d/ldap reports that slapd
started successfully even though it didn't!

Comment 2 Alfred Glanzer 2005-11-06 07:50:36 UTC
You are very right !!!

Well, I "solved" the problem by not using bdb as the database, but switch back 
to ldbm. This does not scale very well but with <10000 entries, this is not 
severe.

ps: at this moment running OpenLDAP 2.2.29

Comment 3 Jan Safranek 2007-05-23 12:02:15 UTC
openldap-servers-2.3.30-2.fc6 has improved startup checks and stale locks should
not be problem anymore


Note You need to log in before you can comment on or make changes to this bug.